View Single Post
Old 07-04-11, 04:17 PM   #1
Lénaïc
Registered User
 
Join Date: Jul 2011
Posts: 1
Default Segmentation fault inside libnvidia-glcore.so.275.09.07 on GeForce 7600 GT

Hello,

Since a recent upgrade of my distribution, I’m totally unable to use graphic hardware acceleration.

— In KDE’s systemsettings, composite desktop effects are disabled.
— Blender crashes as soon as it starts. The dumped core indicates a segmentation fault in /usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.275.09.07
— I managed to start nvidia-settings. But it crashes as well as soon as I select “OpenGL/GLX Information”. The dumped core also indicates a segmentation fault in /usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.275.09.07

The cores, unfortunately, don’t contain any symbol name.

I tried to:
— reinstall all the Nvidia relative packages;
— use a different user with a clean $HOME;
— launch nvidia-settings from a X server on which there was no window manager;
— upgrade to the 280.04 Nvidia drivers.
But I keep on getting that bloody segmentation fault as soon as try to make any use of GLX.

Now, I’m a bit stuck and I have no idea on how to investigate further.
Does anyone has an idea on how to investigate such an issue?

Here is my nvidia-bug-report.log: nvidia-bug-report.log.gz
And here is the gdb analysis of the core I get: nvidia-settings-core.txt
Lénaïc is offline   Reply With Quote